<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Gear/Medical/AntiChemInjector.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/dc5/_anti_chem_injector_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AntiChemInjector.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/dc5/_anti_chem_injector_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d2/d95/class_anti_chem_injector.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d95/class_anti_chem_injector.html">AntiChemInjector</a>: <a class="code hl_class" href="../../d7/d5d/class_inventory___base.html">Inventory_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d2/d95/class_anti_chem_injector.html#a2bba50ed7cb95576e70fb93aec31854d">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d95/class_anti_chem_injector.html#a2bba50ed7cb95576e70fb93aec31854d">SetActions</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        super.SetActions();</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../db/d1a/class_action_inject_target.html">ActionInjectTarget</a>);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d6/d10/class_action_inject_self.html">ActionInjectSelf</a>);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d2/d95/class_anti_chem_injector.html#aabca8abcc897fd50b60e1c2ecee70893">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d95/class_anti_chem_injector.html#aabca8abcc897fd50b60e1c2ecee70893">OnApply</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        player.GiveShock(100);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="keywordtype">bool</span> in_cont_stage3 = player.GetModifiersManager().IsModifierActive(<a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_CONTAMINATION3);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">if</span> ( in_cont_stage3 )</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            player.m_AgentPool.SetAgentCount(<a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.CHEMICAL_POISON, <a class="code hl_class" href="../../d9/da5/class_contamination_stage2_mdfr.html">ContaminationStage2Mdfr</a>.<a class="code hl_variable" href="../../d9/da5/class_contamination_stage2_mdfr.html#aa203ccb948af5fbde827739aa4d97f43">AGENT_THRESHOLD_ACTIVATE</a>);<span class="comment">//set the agent count to be the same as at the benigning of stage 2</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            player.m_AgentPool.SetAgentCount(<a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.CHEMICAL_POISON, 0);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>};</div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00219">AdvancedCommunication.c:219</a></div></div>
<div class="ttc" id="a_e_agents_8c_html_a5a5d699a74359c32fabcdcdcbe60c1ae"><div class="ttname"><a href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a></div><div class="ttdeci">eAgents</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dfb/_e_agents_8c_source.html#l00002">EAgents.c:3</a></div></div>
<div class="ttc" id="aclass_action_inject_self_html"><div class="ttname"><a href="../../d6/d10/class_action_inject_self.html">ActionInjectSelf</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d36/_action_inject_self_8c_source.html#l00001">ActionInjectSelf.c:2</a></div></div>
<div class="ttc" id="aclass_action_inject_target_html"><div class="ttname"><a href="../../db/d1a/class_action_inject_target.html">ActionInjectTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d78/_action_inject_target_8c_source.html#l00001">ActionInjectTarget.c:2</a></div></div>
<div class="ttc" id="aclass_anti_chem_injector_html"><div class="ttname"><a href="../../d2/d95/class_anti_chem_injector.html">AntiChemInjector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc5/_anti_chem_injector_8c_source.html#l00001">AntiChemInjector.c:2</a></div></div>
<div class="ttc" id="aclass_anti_chem_injector_html_a2bba50ed7cb95576e70fb93aec31854d"><div class="ttname"><a href="../../d2/d95/class_anti_chem_injector.html#a2bba50ed7cb95576e70fb93aec31854d">AntiChemInjector::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc5/_anti_chem_injector_8c_source.html#l00003">AntiChemInjector.c:3</a></div></div>
<div class="ttc" id="aclass_anti_chem_injector_html_aabca8abcc897fd50b60e1c2ecee70893"><div class="ttname"><a href="../../d2/d95/class_anti_chem_injector.html#aabca8abcc897fd50b60e1c2ecee70893">AntiChemInjector::OnApply</a></div><div class="ttdeci">override void OnApply(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc5/_anti_chem_injector_8c_source.html#l00011">AntiChemInjector.c:11</a></div></div>
<div class="ttc" id="aclass_contamination_stage2_mdfr_html"><div class="ttname"><a href="../../d9/da5/class_contamination_stage2_mdfr.html">ContaminationStage2Mdfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/da5/_contamination2_8c_source.html#l00001">Contamination2.c:2</a></div></div>
<div class="ttc" id="aclass_contamination_stage2_mdfr_html_aa203ccb948af5fbde827739aa4d97f43"><div class="ttname"><a href="../../d9/da5/class_contamination_stage2_mdfr.html#aa203ccb948af5fbde827739aa4d97f43">ContaminationStage2Mdfr::AGENT_THRESHOLD_ACTIVATE</a></div><div class="ttdeci">static const int AGENT_THRESHOLD_ACTIVATE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/da5/_contamination2_8c_source.html#l00003">Contamination2.c:3</a></div></div>
<div class="ttc" id="aclass_inventory___base_html"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html">Inventory_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/daf/_barbed_baseball_bat_8c_source.html#l00001">BarbedBaseballBat.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_f28e0f4933179a31e3883dbb29b7f996.html">Gear</a></li><li class="navelem"><a class="el" href="../../dir_7fef9983aabe90dbb513b59d2414098b.html">Medical</a></li><li class="navelem"><a class="el" href="../../db/dc5/_anti_chem_injector_8c.html">AntiChemInjector.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
